#
# spec file for package python-debtcollector
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-debtcollector
Version:        1.3.0
Release:        2.2
Summary:        Collection of deprecation patterns that help to collect technical debt
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://www.openstack.org/
Source:         https://pypi.python.org/packages/source/d/debtcollector/debtcollector-%{version}.tar.gz
BuildRequires:  python-Babel
BuildRequires:  python-devel
BuildRequires:  python-pbr
BuildRequires:  python-wrapt
Requires:       python-Babel >= 1.3
Requires:       python-funcsigs >= 0.4
Requires:       python-six >= 1.9.0
Requires:       python-wrapt >= 1.7.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A collection of Python deprecation patterns and strategies that help you
collect your technical debt in a non-destructive manner.

%prep
%setup -q -n debtcollector-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst ChangeLog LICENSE AUTHORS
%{python_sitelib}/*

%changelog
* Mon Feb 15 2016 dmueller@suse.com
- update to 1.3.0:
  * Updated from global requirements
  * Add debug testenv in tox
  * Add updated_kwarg_default_value decorator
  * Allow replacing a keyword argument
  * Add 'removed_class' class decorator
  * py26/py33 are no longer supported by Infra's CI
  * Add removals.remove note about metaclasses
  * Updated from global requirements
  * Update get_class_name from olso.utils
  * Remove Python 2.6 classifier
  * Remove python 2.6 and cleanup tox.ini
  * Add 'moved_read_only_property' descriptor
  * Add ability to disable warnings being emitted
  * Add a 'removed_property' descriptor class
  * No need for Oslo Incubator Sync
  * docs - Set pbr 'warnerrors' option for doc build
  * Include changelog/history in docs
  * tweak language in readme
  * Enhance the README
  * Change ignore-errors to ignore_errors
  * Updated from global requirements
  * Activate pep8 check that _ is imported
  * Add a moved function helper
* Wed Sep  9 2015 tbechtold@suse.com
- update to 0.8.0:
  * Updated from global requirements
* Tue Aug  4 2015 tbechtold@suse.com
- update to 0.7.0
  * Updated from global requirements
  * Expose a top level 'deprecate' function
  * Add @removals.removed_kwarg on an __init__ method
  * Improve + test keyword argument @classmethod removal
  * Add example for removing a @classmethod
* Tue Jul 28 2015 tbechtold@suse.com
- update to 0.6.0:
  * Ensure doctesting and doc8 testing done in py27 env
  * Updated from global requirements
  * Fix quoting of examples
  * Updated from global requirements
  * Switch badges from 'pypip.in' to 'shields.io'
* Tue Jun  2 2015 tbechtold@suse.com
- Adjust Require versions according to requirements.txt
* Tue Jun  2 2015 tbechtold@suse.com
- Initial packaging
